import { Locator } from "playwright-core";
import { SelectV2OptionAtom } from "./select-v2-option.atom";
import { Atom, IAtomClass } from "../../atom";
import { OverlayAtom } from "../overlay/overlay.atom";
export declare class BaseSelectV2Atom extends Atom {
    static findIn<T extends Atom>(atomClass: IAtomClass<T>, parentLocator: Locator, root?: boolean): T;
    get popup(): OverlayAtom;
    options(): Promise<SelectV2OptionAtom>;
    get input(): Locator;
    get getPopupElement(): Locator;
    /**
     * Note: Despite its name, this method will only OPEN the dropdown. To toggle it closed, use this
     * Atom's "click" method.
     */
    toggle(): Promise<void>;
    getOption(index: number): Promise<SelectV2OptionAtom>;
    getFirstOption(): Promise<SelectV2OptionAtom>;
    getLastOption(): Promise<SelectV2OptionAtom>;
    countOptions(): Promise<number>;
    /**
     * Note: This method checks whether ANY 'cdk-overlay-pane' on the document body is present
     * (not just this dropdown instance). Close any other cdk-overlay-pane instances before invoking this
     * method to ensure an accurate return value.
     *
     * Important: this is a pure state check (no auto-waits). Prefer toBeOpened/toBeClosed in tests.
     */
    isOpened(): Promise<boolean>;
    toBeOpened(): Promise<void>;
    toBeClosed(): Promise<void>;
    toBeHidden(): Promise<void>;
    getActiveItemsCount(): Promise<number>;
    type(text: string): Promise<void>;
    isSelectDisabled(): Promise<void>;
    select(title: string): Promise<void>;
    private waitForPopup;
    toBeDisabled(): Promise<void>;
    toBeEnabled(): Promise<void>;
}
